package types

import "github.com/gofiber/fiber/v3"

type APIError struct {
	StatusCode int    `json:"-"`
	Message    string `json:"message"`
	Success    bool   `json:"success"`
}

func NewAPIError(code int, message string) APIError {
	return APIError{
		StatusCode: code,
		Message:    message,
		Success:    false,
	}
}

func (a APIError) Send(c fiber.Ctx) error {
	c.JSON(a)
	return c.SendStatus(a.StatusCode)
}
